# Synch_T.h File Reference

`#include "ace/config-all.h"`
`#include "ace/Synch.h"`
`#include "ace/Lock_Adapter_T.h"`
`#include "ace/Reverse_Lock_T.h"`
`#include "ace/Guard_T.h"`
`#include "ace/TSS_T.h"`
`#include "ace/Condition_T.h"`
`#include "ace/Synch_Traits.h"`
`#include "ace/Synch_T.cpp"`

Include dependency graph for Synch_T.h:

This graph shows which files directly or indirectly include this file:

## Detailed Description

Id
  Synch_T.h,v 4.101 2005/10/28 16:14:56 ossama Exp

Author:
  Douglas C. Schmidt <schmidt@uci.edu>